unit GlyphMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  FileCtrl, StdCtrls, ExtCtrls, Buttons;

type
  TForm1 = class(TForm)
    cboDrive: TDriveComboBox;
    DirectoryList: TDirectoryListBox;
    FileList: TFileListBox;
    GroupBox1: TGroupBox;
    btnEnabled: TSpeedButton;
    btnDisabled: TSpeedButton;
    Button1: TButton;
    cbFlat: TCheckBox;
    Label1: TLabel;
    Label2: TLabel;
    GroupBox2: TGroupBox;
    imgPreview: TImage;
    cbStretch: TCheckBox;
    btnAbout: TButton;
    btnHide: TSpeedButton;
    procedure Button1Click(Sender: TObject);
    procedure cbFlatClick(Sender: TObject);
    procedure cbStretchClick(Sender: TObject);
    procedure FormCreate(Sender: TObject);
    procedure btnAboutClick(Sender: TObject);
    procedure FileListClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation
{$R *.DFM}

uses About;

procedure TForm1.FileListClick(Sender: TObject);
var
   i: integer;
begin
     with imgPreview do begin
          Picture.LoadFromFile(FileList.FileName);
          Refresh;
     end;
     //--------------------------------------
     btnHide.Glyph := imgPreview.Picture.Bitmap;
     i := btnHide.NumGlyphs;
     btnEnabled.NumGlyphs := i;
     btnDisabled.NumGlyphs := i;
     //--------------------------------------
     btnEnabled.Glyph := btnHide.Glyph;
     btnDisabled.Glyph := btnHide.Glyph;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
     Application.Terminate;
end;

procedure TForm1.cbFlatClick(Sender: TObject);
begin
     btnEnabled.Flat := cbFlat.Checked;
     btnDisabled.Flat := cbFlat.Checked;
end;

procedure TForm1.cbStretchClick(Sender: TObject);
begin
     imgPreview.Stretch := cbStretch.Checked;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
     cbStretch.Checked := True;
end;

procedure TForm1.btnAboutClick(Sender: TObject);
begin
     frmAbout.Show;
end;

end.
